Subject: Re: CONFIG_PS3_USE_LPAR_ADDR dramically increases boot time

From: Arnd Bergmann <[email-masked]>
Date: Mon, 18 Jun 2007 23:14:26 +0200

On Monday 18 June 2007, Jimi Xenidis wrote:
>=20
> The following change set:
> =A0 =A0http://git.kernel.org/?p=3Dlinux/kernel/git/paulus/=20
> powerpc.git;a=3Dcommit;h=3D261efc3f178c8c5b55d76208aee1f39ce247f723
>=20
> setting CONFIG_PS3_USE_LPAR_ADDR (which is the default for PS3) =A0
> changes increases MAX_PHYSADDR_BITS =A0from 44 to 47 which makes the =A0
> array 8 time bigger and takes way longer for sparse_init() to run on =A0
> simulator.
>=20
> Is this really the right approach?
> Cell is actually 42 so could not the special address space be 43 or 44?

Unfortunately, the hypervisor chooses the addresses where things get
mapped, and since they are guest-real, there is no hard limit where
the hypervisor puts them, like the 42 bit limit on bare metal.

I guess this will improve if we get virt_mem_map support on powerpc,
but I'm not sure if that's currently being worked on.

	Arnd <><